Subject: Re: [PATCH v6] net: ip, diag -- Add diag interface for raw sockets

From: Cyrill Gorcunov <[email-masked]>
Date: Thu, 13 Oct 2016 10:16:48 +0300

On Wed, Oct 12, 2016 at 07:55:04PM -0400, David Miller wrote:
> From: Cyrill Gorcunov <[email-masked]>
> Date: Wed, 12 Oct 2016 09:53:29 +0300
> 
> > I can't rename the field, neither a can use union.
> 
> Remind me again what is wrong with using an anonymous union?

Anon union would be a preferred but Eric pointed me that even
though it might cause problems (https://patchwork.kernel.org/patch/9353365/)

 | Note that some programs could fail to compile with the added union
 | anyway.
 |
 | Some gcc versions are unable to compile a static init with an union
 |
 | struct inet_diag_req_v2 foo = { .pad = 0, sdiag_family = AF_INET, };
 |
 | When I cooked my recent fq commit I simply removed a pad and replaced
 | it :
 |
 | git show fefa569a9d4bc4 -- include